{"components":{"schemas":{"BundleOverview":{"description":"List of bundles","properties":{"createdAt":{"description":"Unix timestamp for when the event was created","format":"int64","type":"integer"},"description":{"description":"Description of monitoring list","type":"string"},"id":{"description":"ID of monitoring list","type":"string"},"numberOfEntities":{"description":"Number of entities the list contains","format":"int32","type":"integer"},"status":{"description":"Status of monitoring list","enum":["MISSING","SENT_IN","APPROVED","INCORRECT","PENDING"],"type":"string"},"updatedAt":{"description":"Unix timestamp for when the event was updated","format":"int64","type":"integer"}},"type":"object"},"BundlesResponse":{"properties":{"bundles":{"description":"List of bundles","items":{"$ref":"#/components/schemas/BundleOverview"},"type":"array"}},"type":"object"},"ErrorResponse":{"properties":{"error":{"description":"Error code","enum":["InternalServerError","Unauthorized","Forbidden","BadRequest"],"type":"string"},"message":{"description":"Error message","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Person register monitoring\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Person register monitoring","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/person-v3.1.svg"}},"openapi":"3.0.1","paths":{"/bundle/{id}":{"put":{"description":"Update monitoring list","operationId":"updateBundle","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"file":{"description":"CSV or a JSON file containing rows of personal numbers","format":"binary","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BundleOverview"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Returned when the user is not authenticated"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Returned when the user is not authorized to access the resource"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"security":[{"oauth2":[]}],"summary":"Update monitoring list"}},"/bundles":{"get":{"description":"List monitoring lists","operationId":"listBundles","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BundlesResponse"}}},"description":"OK, successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Returned when the user is not authenticated"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Returned when the user is not authorized to access the resource"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"security":[{"oauth2":[]}],"summary":"List monitoring lists"}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/person/monitoring/1.0"}],"x-category":"person","x-countries":["se"],"x-id":"PersonRegisterMonitoring"}